> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Convai Dashboard Settings

> Retrieve Convai dashboard settings for the workspace



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/settings/dashboard
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/settings/dashboard:
    get:
      tags:
        - Agents Platform
      summary: Get Convai Dashboard Settings
      description: Retrieve Convai dashboard settings for the workspace
      operationId: get_dashboard_settings_route
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConvAIDashboardSettingsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetConvAIDashboardSettingsResponseModel:
      properties:
        charts:
          items:
            oneOf:
              - $ref: '#/components/schemas/DashboardCallSuccessChartModel'
              - $ref: '#/components/schemas/DashboardCriteriaChartModel'
              - $ref: '#/components/schemas/DashboardDataCollectionChartModel'
            discriminator:
              propertyName: type
              mapping:
                call_success:
                  $ref: '#/components/schemas/DashboardCallSuccessChartModel'
                criteria:
                  $ref: '#/components/schemas/DashboardCriteriaChartModel'
                data_collection:
                  $ref: '#/components/schemas/DashboardDataCollectionChartModel'
          type: array
          maxItems: 4
          title: Charts
      type: object
      title: GetConvAIDashboardSettingsResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DashboardCallSuccessChartModel:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: call_success
          title: Type
          default: call_success
      type: object
      required:
        - name
      title: DashboardCallSuccessChartModel
    DashboardCriteriaChartModel:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: criteria
          title: Type
          default: criteria
        criteria_id:
          type: string
          title: Criteria Id
      type: object
      required:
        - name
        - criteria_id
      title: DashboardCriteriaChartModel
    DashboardDataCollectionChartModel:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: data_collection
          title: Type
          default: data_collection
        data_collection_id:
          type: string
          title: Data Collection Id
      type: object
      required:
        - name
        - data_collection_id
      title: DashboardDataCollectionChartModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````